## xapi-storage 0.1.1

=== Makefile ===

default: build

.PHONY: build
build:
	(cd generator; make)
	mkdir -p ocaml/examples
	./generator/main.native
	make -C ocaml
	make -C python

.PHONY: html
html: build
	./generator/main.native -html

.PHONY: install
install:
	make -C ocaml install
	make -C python install

.PHONY: reinstall
reinstall:
	make -C ocaml reinstall
	make -C python reinstall

.PHONY: clean
clean:
	make -C generator clean
	make -C ocaml clean
	make -C python clean

=== generator/Makefile ===
.PHONY: all clean install build reinstall uninstall distclean
all: build

clean:
	@rm -f setup.data setup.log setup.bin
	@rm -rf _build
	@rm -f *.native

setup.bin: setup.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	@./setup.bin -configure

build: setup.data setup.bin
	@./setup.bin -build

install:
	echo hello

reinstall: install

uninstall:
	echo hello

=== ocaml/Makefile ===
.PHONY: all clean install build
all: build test doc

NAME=xapi-storage

setup.bin: setup.ml
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	./setup.bin -configure --enable-tests

build: setup.data setup.bin
	./setup.bin -build

doc: setup.data setup.bin
	./setup.bin -doc

install: setup.bin
	./setup.bin -install

test: setup.bin build
	./setup.bin -test

fulltest: setup.bin build
	./setup.bin -test

reinstall: setup.bin
	ocamlfind remove $(NAME) || true
	./setup.bin -reinstall

clean:
	ocamlbuild -clean
	rm -f setup.data setup.log setup.bin

=== python/Makefile ===
PREFIX?=/

.PHONY: build
build:
	python setup.py build

.PHONY: clean
clean:
	python setup.py clean
	rm -rf build

.PHONY: install
install: build
	python setup.py install --prefix $(PREFIX)

=== debian/changelog ===
xapi-storage (0.1.1-1) UNRELEASED; urgency=low

  * Update to 0.1.1

 -- David Scott <dave.scott@citrix.com>  Thu, 16 Oct 2014 12:00:00 +0000

xapi-storage (0.1-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@citrix.com>  Thu, 16 Oct 2014 12:00:00 +0000

=== debian/control ===
Source: xapi-storage
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 python-setuptools,
 libxmlm-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 ocaml-cow-dev,
 ocaml-findlib,
 librpc-ocaml-dev,
 ocaml-native-compilers,
 libcmdliner-ocaml-dev,
 python-setuptools-git,
 python-dev

Package: xapi-storage
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Xapi storage interface
 Xapi storage inteface libraries

Package: xapi-storage-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 xapi-storage (>= 0.1.1-1),
 ocaml-findlib,
 ocaml-cow-dev,
 libxmlm-ocaml-dev,
 libcmdliner-ocaml-dev,
 librpc-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for xapi-storage
 The xapi-storage-devel package contains libraries and signature files
 for developing applications that use xapi-storage.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/xapi-storage/usr/lib/ocaml/xapi-storage/*.a
	rm -f debian/xapi-storage/usr/lib/ocaml/xapi-storage/*.cmxa
	rm -f debian/xapi-storage/usr/lib/ocaml/xapi-storage/*.ml

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
